ubiquity crashed with IndexError in child()

Bug #118967 reported by Luka Renko on 2007-06-06
112
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Evan

Bug Description

Binary package hint: ubiquity

SW: Kubuntu Tribe1 candidate (20070606.1)
HW: HP nw8240 laptop

Selected manual partitioning, got message that ubiquity crashed, selected Report problem and then apport-qt crashed (see bug 118965).

The funny thing is that ubiquity did not crash at all and I could continue with partitioning. I will try to finish installation and report back if it succeeded.

ProblemType: Crash
Architecture: i386
Date: Wed Jun 6 15:19:51 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.5
Package: ubiquity 1.5.2
PackageArchitecture: i386
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity kde-ui
ProcCwd: /home/ubuntu
ProcEnviron:
 PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', 'kde-ui']
SourcePackage: ubiquity
Uname: Linux ubuntu 2.6.22-6-generic #1 SMP Fri Jun 1 19:24:12 GMT 2007 i686 GNU/Linux

Related branches

Luka Renko (lure) wrote :
Martin Pitt (pitti) wrote :

Crash in the KDE frontend, thus assigning to Jonathan.

Changed in ubiquity:
assignee: nobody → jr
importance: Undecided → High
status: Unconfirmed → Confirmed
Evan (ev) on 2007-06-06
Changed in ubiquity:
assignee: jr → evand
Evan (ev) wrote :

Reassigned to myself. I'm going to see if I can figure out what's causing this. It doesn't appear to be happening in the gtk-ui.

Luka Renko (lure) wrote :

I did not have any problems when installing the same CD on my desktop and using manual partitioning. I suspect the bug may be related to partition layout of specific system.

Colin Watson (cjwatson) wrote :

Could you reproduce this with ubiquity --debug and post /var/log/syslog and /var/log/partman again, please? I think the extra debugging in the partman component may help here.

Luka Renko (lure) wrote :

OK, I have reproduced this with --debug
Note: I have only run ubiquity until it reported problem and did not finish the install (aborted in partitioning page).

Luka Renko (lure) wrote :

partman log file

Colin Watson (cjwatson) wrote :

Oh, er, whoops. I forgot to say - could you attach /var/log/installer/debug too? Sorry!

Luka Renko (lure) wrote :

Reproduced and here is debug file.

Evan (ev) on 2007-06-08
Changed in ubiquity:
status: Confirmed → Fix Committed
Evan (ev) wrote :

ubiquity (1.5.3) gutsy; urgency=low

  [ Colin Watson ]
  * Drop into pdb.post_mortem on non-SyntaxError exceptions if the --pdb
    option is given and ubiquity is running from a terminal.
  * Work around hang on PS3 by stopping various non-essential processes
    first (LP: #106683).

  [ Evan Dandrea ]
  * Set the partition model after populating it in the KDE UI
    (LP: #118967).
  * Automatic update of included source packages: console-setup
    1.16ubuntu4, kboot-installer 0.0.1ubuntu3, partman-newworld
    18ubuntu1.

 -- Evan Dandrea <email address hidden> Mon, 11 Jun 2007 11:01:50 -0400

Changed in ubiquity:
status: Fix Committed → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers